curl --request POST \
--url https://mcp.echozero.app/api/v1/agents/{id}/discord/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"guildId": "9876543210987654321",
"channelId": "1234567890123456789"
}
'{
"success": true,
"data": {
"verificationResult": "verified",
"channelId": "<string>",
"guildId": "<string>",
"channelName": "<string>",
"guildName": "<string>",
"channelIconUrl": "<string>",
"memberCount": 123,
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Agent
Verify Discord signal channel (bot access)
Resolves the channel via Discord API, checks the EchoZero bot can read messages, and persists connectedChannels + signalSourceKind on the agent.
POST
/
api
/
v1
/
agents
/
{id}
/
discord
/
verify
curl --request POST \
--url https://mcp.echozero.app/api/v1/agents/{id}/discord/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"guildId": "9876543210987654321",
"channelId": "1234567890123456789"
}
'{
"success": true,
"data": {
"verificationResult": "verified",
"channelId": "<string>",
"guildId": "<string>",
"channelName": "<string>",
"guildName": "<string>",
"channelIconUrl": "<string>",
"memberCount": 123,
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
bearer-jwtapi-key
Headers
Body
application/json